import { SynthUtils } from '@aws-cdk/assert'
import { EventBus } from '@aws-cdk/aws-events'
import { Code, Runtime } from '@aws-cdk/aws-lambda'
import { Stack } from '@aws-cdk/core'

import { EventFunction } from '.'

test('Stack Cloudformation Snapshot Test', () => {
  const stack = new Stack()
  const mockEventBus = new EventBus(stack, 'mockBus')

  new EventFunction(stack, 'testing', {
    ruleProps: {
      eventBus: mockEventBus,
      eventPattern: { detailType: ['TestType'] },
    },
    functionProps: {
      runtime: Runtime.NODEJS,
      code: Code.fromInline('function handler(event, context){}'),
      handler: 'handler',
    },
  })

  expect(SynthUtils.toCloudFormation(stack)).toMatchSnapshot()
})
